\documentclass[a4paper,10pt]{article}

\begin{document}

\title{\textbf{Resources}}
\author{Pawel Dziepak}
\date{\textit{June 19, 2008}}
\maketitle

\section{Resource types}
\begin{itemize}
\item{\texttt{block} - Resources of this type are almost the same as block devices in
   Single UNIX Specification compliant systems. It is possible to read/write
   blocks of data of device-specific size from random place of the device.}
\item{\texttt{char} - The access to resources of this type is the same as the access to
   files in Single UNIX Specification compliant systems. It means that you can
   read random number of bytes from random place of the device.}
\item{\texttt{filesystem} - It means that device provides many sub-resources that can be get
   by using their names, addresses, etc.}
\item{\texttt{socket} - buffered stream}
\item{\texttt{stream} - unbuffered socket}
\end{itemize}

\end{document}
